diff --git a/components/screen/controller_driver/st7789/st7789.c b/components/screen/controller_driver/st7789/st7789.c
index 3ec4574..fb63274 100644
--- a/components/screen/controller_driver/st7789/st7789.c
+++ b/components/screen/controller_driver/st7789/st7789.c
@@ -77,6 +77,11 @@ static void lcd_st7789_init_reg(void)
     LCD_WRITE_CMD(0x3A);
     LCD_WRITE_DATA(0x05);
 
+    // Set proper RGB565 little-endianness
+    LCD_WRITE_CMD(0xB0);
+    LCD_WRITE_DATA(0x00);
+    LCD_WRITE_DATA(0xF8);
+
     LCD_WRITE_CMD(0xB2);
     LCD_WRITE_DATA(0x0C);
     LCD_WRITE_DATA(0x0C);
